---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    openshift.io/scc: ceph-csi-op-scc
  creationTimestamp: "2025-10-27T12:44:56Z"
  generateName: openshift-storage.nfs.csi.ceph.com-nodeplugin-
  labels:
    app: openshift-storage.nfs.csi.ceph.com-nodeplugin
    controller-revision-hash: 6ccbbb955
    pod-template-generation: "1"
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:app: {}
          f:controller-revision-hash: {}
          f:pod-template-generation: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"c8b165b8-9608-433d-a179-0fdf4c553b75"}: {}
      f:spec:
        f:affinity:
          .: {}
          f:nodeAffinity:
            .: {}
            f:requiredDuringSchedulingIgnoredDuringExecution: {}
        f:containers:
          k:{"name":"csi-nfsplugin"}:
            .: {}
            f:args: {}
            f:env:
              .: {}
              k:{"name":"NODE_ID"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"POD_IP"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"POD_NAMESPACE"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources: {}
            f:securityContext:
              .: {}
              f:allowPrivilegeEscalation: {}
              f:capabilities:
                .: {}
                f:add: {}
                f:drop: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/csi"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/csi-logs"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/dev"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/etc/ceph-csi-config"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/etc/selinux"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
              k:{"mountPath":"/lib/modules"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
              k:{"mountPath":"/run/mount"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/sys"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/tmp/csi/keys"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/lib/kubelet/plugins"}:
                .: {}
                f:mountPath: {}
                f:mountPropagation: {}
                f:name: {}
              k:{"mountPath":"/var/lib/kubelet/pods"}:
                .: {}
                f:mountPath: {}
                f:mountPropagation: {}
                f:name: {}
          k:{"name":"driver-registrar"}:
            .: {}
            f:args: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources: {}
            f:securityContext:
              .: {}
              f:capabilities:
                .: {}
                f:drop: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/csi"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/registration"}:
                .: {}
                f:mountPath: {}
                f:name: {}
          k:{"name":"log-rotator"}:
            .: {}
            f:command: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:capabilities:
                .: {}
                f:drop: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/csi-logs"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/logrotate-config"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:hostNetwork: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"ceph-csi-config"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
            f:name: {}
          k:{"name":"etc-selinux"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"host-dev"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"host-run-mount"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"host-sys"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"keys-tmp-dir"}:
            .: {}
            f:emptyDir:
              .: {}
              f:medium: {}
            f:name: {}
          k:{"name":"lib-modules"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"log-rotate-dir"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:name: {}
            f:name: {}
          k:{"name":"logs-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"plugin-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"plugin-mount-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"pods-mount-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"registration-dir"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
    manager: kube-controller-manager
    operation: Update
    time: "2025-10-27T12:44:56Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodReadyToStartContainers"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:hostIPs: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.46.248.42"}:
            .: {}
            f:ip: {}
          k:{"ip":"2620:52:0:2ef8::2a"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    subresource: status
    time: "2025-10-27T12:45:44Z"
  name: openshift-storage.nfs.csi.ceph.com-nodeplugin-2kthw
  namespace: openshift-storage
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: DaemonSet
    name: openshift-storage.nfs.csi.ceph.com-nodeplugin
    uid: c8b165b8-9608-433d-a179-0fdf4c553b75
  resourceVersion: "60449"
  uid: dce3efe4-10b1-49f3-b5c2-e06f5461ed24
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchFields:
          - key: metadata.name
            operator: In
            values:
            - cnvqe-071.lab.eng.tlv2.redhat.com
  containers:
  - args:
    - --v=5
    - --type=nfs
    - --nodeserver=true
    - --nodeid=$(NODE_ID)
    - --drivername=openshift-storage.nfs.csi.ceph.com
    - --endpoint=unix:///csi/csi.sock
    - --pidlimit=-1
    - --csi-addons-endpoint=unix:///csi/csi-addons.sock
    - --logtostderr=false
    - --alsologtostderr=true
    - --log_file=csi-logs/csi-nfsplugin.log
    env:
    - name: POD_IP
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: status.podIP
    - name: NODE_ID
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    - name: POD_NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    image: registry.redhat.io/odf4/cephcsi-rhel9@sha256:311f5bc24c59f01b2cbca10eeef83b65a44d962b35e7a46bf62fc1104876a66a
    imagePullPolicy: IfNotPresent
    name: csi-nfsplugin
    resources: {}
    securityContext:
      allowPrivilegeEscalation: true
      capabilities:
        add:
        - SYS_ADMIN
        drop:
        - All
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /dev
      name: host-dev
    - mountPath: /sys
      name: host-sys
    - mountPath: /run/mount
      name: host-run-mount
    - mountPath: /lib/modules
      name: lib-modules
      readOnly: true
    - mountPath: /tmp/csi/keys
      name: keys-tmp-dir
    - mountPath: /csi
      name: plugin-dir
    - mountPath: /etc/ceph-csi-config
      name: ceph-csi-config
    - mountPath: /var/lib/kubelet/plugins
      mountPropagation: Bidirectional
      name: plugin-mount-dir
    - mountPath: /var/lib/kubelet/pods
      mountPropagation: Bidirectional
      name: pods-mount-dir
    - mountPath: /etc/selinux
      name: etc-selinux
      readOnly: true
    - mountPath: /csi-logs
      name: logs-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-dgqgn
      readOnly: true
  - args:
    - --v=5
    - --kubelet-registration-path=/var/lib/kubelet/plugins/openshift-storage.nfs.csi.ceph.com/csi.sock
    - --csi-address=unix:///csi/csi.sock
    image: registry.redhat.io/openshift4/ose-csi-node-driver-registrar-rhel9@sha256:e06ed509d0018a76668424ad9007b736658cf063cb68746a52cabeaaa2c5241b
    imagePullPolicy: IfNotPresent
    name: driver-registrar
    resources: {}
    securityContext:
      capabilities:
        drop:
        - All
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /csi
      name: plugin-dir
    - mountPath: /registration
      name: registration-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-dgqgn
      readOnly: true
  - command:
    - /bin/bash
    - -c
    - while true; do logrotate --verbose /logrotate-config/csi; sleep 15m; done
    image: registry.redhat.io/odf4/cephcsi-rhel9@sha256:311f5bc24c59f01b2cbca10eeef83b65a44d962b35e7a46bf62fc1104876a66a
    imagePullPolicy: IfNotPresent
    name: log-rotator
    resources:
      requests:
        cpu: 100m
        memory: 32Mi
    securityContext:
      capabilities:
        drop:
        - All
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /csi-logs
      name: logs-dir
    - mountPath: /logrotate-config
      name: log-rotate-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-dgqgn
      readOnly: true
  dnsPolicy: ClusterFirstWithHostNet
  enableServiceLinks: true
  hostNetwork: true
  nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
  preemptionPolicy: PreemptLowerPriority
  priority: 2000001000
  priorityClassName: system-node-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: ceph-csi-nfs-nodeplugin-sa
  serviceAccountName: ceph-csi-nfs-nodeplugin-sa
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoSchedule
    key: node.ocs.openshift.io/storage
    operator: Equal
    value: "true"
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/disk-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/pid-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/unschedulable
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/network-unavailable
    operator: Exists
  volumes:
  - hostPath:
      path: /dev
      type: ""
    name: host-dev
  - hostPath:
      path: /sys
      type: ""
    name: host-sys
  - hostPath:
      path: /run/mount
      type: ""
    name: host-run-mount
  - hostPath:
      path: /lib/modules
      type: ""
    name: lib-modules
  - emptyDir:
      medium: Memory
    name: keys-tmp-dir
  - configMap:
      defaultMode: 420
      name: ceph-csi-config
    name: ceph-csi-config
  - hostPath:
      path: /var/lib/kubelet/plugins/openshift-storage.nfs.csi.ceph.com
      type: DirectoryOrCreate
    name: plugin-dir
  - hostPath:
      path: /var/lib/kubelet/plugins
      type: Directory
    name: plugin-mount-dir
  - hostPath:
      path: /var/lib/kubelet/pods
      type: Directory
    name: pods-mount-dir
  - hostPath:
      path: /var/lib/kubelet/plugins_registry
      type: Directory
    name: registration-dir
  - hostPath:
      path: /etc/selinux
      type: ""
    name: etc-selinux
  - hostPath:
      path: /var/lib/cephcsi/openshift-storage.nfs.csi.ceph.com-nodeplugin
      type: DirectoryOrCreate
    name: logs-dir
  - configMap:
      defaultMode: 420
      name: openshift-storage.nfs.csi.ceph.com-logrotate-config
    name: log-rotate-dir
  - name: kube-api-access-dgqgn
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:45:44Z"
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:44:56Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:45:44Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:45:44Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:44:56Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://6431baae6a032466b6327717c44cab04988042b1e6ca937c16cabf0e555c3a5f
    image: registry.redhat.io/odf4/cephcsi-rhel9@sha256:311f5bc24c59f01b2cbca10eeef83b65a44d962b35e7a46bf62fc1104876a66a
    imageID: registry.redhat.io/odf4/cephcsi-rhel9@sha256:311f5bc24c59f01b2cbca10eeef83b65a44d962b35e7a46bf62fc1104876a66a
    lastState: {}
    name: csi-nfsplugin
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-10-27T12:45:31Z"
    volumeMounts:
    - mountPath: /dev
      name: host-dev
    - mountPath: /sys
      name: host-sys
    - mountPath: /run/mount
      name: host-run-mount
    - mountPath: /lib/modules
      name: lib-modules
      readOnly: true
      recursiveReadOnly: Disabled
    - mountPath: /tmp/csi/keys
      name: keys-tmp-dir
    - mountPath: /csi
      name: plugin-dir
    - mountPath: /etc/ceph-csi-config
      name: ceph-csi-config
    - mountPath: /var/lib/kubelet/plugins
      name: plugin-mount-dir
    - mountPath: /var/lib/kubelet/pods
      name: pods-mount-dir
    - mountPath: /etc/selinux
      name: etc-selinux
      readOnly: true
      recursiveReadOnly: Disabled
    - mountPath: /csi-logs
      name: logs-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-dgqgn
      readOnly: true
      recursiveReadOnly: Disabled
  - containerID: cri-o://d40631f90b56434f8faa83decd053d199299d1e713412f8bc530fe0195d011df
    image: registry.redhat.io/openshift4/ose-csi-node-driver-registrar-rhel9@sha256:e06ed509d0018a76668424ad9007b736658cf063cb68746a52cabeaaa2c5241b
    imageID: registry.redhat.io/openshift4/ose-csi-node-driver-registrar-rhel9@sha256:02a63915677f55be53239c2d39112a24c8fb76569418b4cf143784d7d4978a98
    lastState: {}
    name: driver-registrar
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-10-27T12:45:43Z"
    volumeMounts:
    - mountPath: /csi
      name: plugin-dir
    - mountPath: /registration
      name: registration-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-dgqgn
      readOnly: true
      recursiveReadOnly: Disabled
  - containerID: cri-o://6c3ff02e059621843bf8765070c3bec904d1848f12779f4ce110558e99aca4cb
    image: registry.redhat.io/odf4/cephcsi-rhel9@sha256:311f5bc24c59f01b2cbca10eeef83b65a44d962b35e7a46bf62fc1104876a66a
    imageID: registry.redhat.io/odf4/cephcsi-rhel9@sha256:311f5bc24c59f01b2cbca10eeef83b65a44d962b35e7a46bf62fc1104876a66a
    lastState: {}
    name: log-rotator
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-10-27T12:45:44Z"
    volumeMounts:
    - mountPath: /csi-logs
      name: logs-dir
    - mountPath: /logrotate-config
      name: log-rotate-dir
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-dgqgn
      readOnly: true
      recursiveReadOnly: Disabled
  hostIP: 10.46.248.42
  hostIPs:
  - ip: 10.46.248.42
  - ip: 2620:52:0:2ef8::2a
  phase: Running
  podIP: 10.46.248.42
  podIPs:
  - ip: 10.46.248.42
  - ip: 2620:52:0:2ef8::2a
  qosClass: Burstable
  startTime: "2025-10-27T12:44:56Z"
